For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • PUTUpdate Lease: Propertyware
        • POSTCreate Lease: Propertyware
        • POSTCreate Lease File: Propertyware
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware SOAPLeases

Update Lease: Propertyware

PUT
/v1/leases/propertyware/:lease_id
PUT
/v1/leases/propertyware/:lease_id
$curl -X PUT https://api.propexo.com/v1/leases/propertyware/lease_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "meta": {
3 "job_id": "job_9f8b7c6d5e4a3b2c1d0e"
4 },
5 "result": {
6 "lease_id": "lease_1234567890abcdef",
7 "property_id": "property_abcdef1234567890",
8 "unit_id": "unit_0987654321fedcba",
9 "primary_contact_id": "contact_1122334455667788",
10 "tenants": [
11 {
12 "id": "tenant_2233445566778899"
13 },
14 {
15 "id": "contact_1122334455667788"
16 }
17 ],
18 "start_date": "2024-01-15T09:30:00Z",
19 "end_date": "2025-01-14T23:59:59Z",
20 "scheduled_move_in_date": "2024-01-15T09:30:00Z",
21 "scheduled_move_out_date": "2025-01-14T23:59:59Z",
22 "status": "Draft"
23 }
24}
Update Lease: Propertyware | Method | |---| | updateLease |
Was this page helpful?
Previous

Create Lease: Propertyware

Next
Built with

Update Lease: Propertyware

Method
updateLease

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lease_idstringRequired
The Propexo unique identifier for the lease

Request

This endpoint expects an object.
property_idstringOptional
The Propexo unique identifier for the property
unit_idstringOptional
The Propexo unique identifier for the unit
primary_contact_idstringOptional
The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo
tenantslist of objectsOptional
An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID
start_datestringOptionalformat: "date-time"
The start date associated with the lease
end_datestringOptionalformat: "date-time"
The end date associated with the lease
scheduled_move_in_datestringOptionalformat: "date-time"

The move-in date associated with the lease

scheduled_move_out_datestringOptionalformat: "date-time"

The move-out date associated with the lease

statusenumOptional
The status associated with the lease
Allowed values:

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error